QGIS Application - Feature request #3629
Double-click zoom
2011-03-16 10:30 AM - andskog -

Status: Feedback

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13688

Description

Seems to me that the double click event is unassigned when in the map canvas. Would be nice to be able to zoom in a step on the cursor
position by double-clicking in the map, regardless of active tool (pan, info etc.).

History

#1 - 2012-10-06 02:32 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2015-11-20 05:45 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Status changed from Open to Feedback

Hello, bug triage...

| am not sure what to do with this feature request...

Apparently, double-click on canvas is still unaffected (perhaps for a good technical reason) in QGIS 2.13 master... But it is not necessarily a bad thing ! For

zooming in, | prefer to use the mouse scroll wheel which is much more useful (I can zoom in/out, centered on the position of the mouse even when | am

moving some features with edit tools).

What do you think about this ? Should we try to implement the double-click zoom in or kept the behaviour like it is now ? If it is technically complex to

implement it, | suggest to close this feature request with a won't fix.

#3 - 2015-11-23 09:25 AM - Sebastian Dietrich

How about to have the double click activate a "secondary tool"?

Some users want a double click to be Zoom in, some might want it to be Zoom out and | am sure there are others. For our company it would even be a

self-written tool. So why not give users the option to select a "secondary tool" that is fired upon double click?

#4 - 2016-05-05 06:14 AM - andskog -

| would agree that a secondary tool is even better. So for left-double-click and perhaps something even for the right-single-click too --

#5 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
